Method: sandboxEnvironmentSnapshots.list

Full name: projects.locations.reasoningEngines.sandboxEnvironmentSnapshots.list

Lists SandboxEnvironmentSnapshots in a given reasoning engine.

Endpoint

get https://{service-endpoint}/v1beta1/{parent}/sandboxEnvironmentSnapshots

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

parent string

Required. The resource name of the reasoning engine to list sandbox environments from. Format: projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}

Query parameters

filter string

Optional. The standard list filter. More detail in AIP-160.

pageSize integer

Optional. The maximum number of SandboxEnvironmentSnapshots to return. The service may return fewer than this value. If unspecified, at most 100 SandboxEnvironmentSnapshots will be returned. Values above 100 will be coerced to 100.

pageToken string

Optional. The standard list page token, received from a previous sandboxEnvironmentSnapshots.list call. Provide this to retrieve the subsequent page.

Request body

The request body must be empty.

Response body

Response message for SandboxEnvironmentService.ListSandboxEnvironmentSnapshots.

If successful, the response body contains data with the following structure:

Fields
sandboxEnvironmentSnapshots[] object (SandboxEnvironmentSnapshot)

The SandboxEnvironmentSnapshots matching the request.

nextPageToken string

A token, which can be sent as ListSandboxEnvironmentSnapshotsRequest.page_token to retrieve the next page. Absence of this field indicates there are no subsequent pages.

JSON representation
{
  "sandboxEnvironmentSnapshots": [
    {
      object (SandboxEnvironmentSnapshot)
    }
  ],
  "nextPageToken": string
}